Page MenuHomePhabricator

[CUDA] Driver changes to pass flags needed to use detected CUDA installation.
ClosedPublic

Authored by tra on Sep 25 2015, 10:53 AM.

Details

Summary
  • added include paths to detected CUDA installation
  • added include paths for -aux-triple
  • added -nocudainc to prevent addition of CUDA include path.
  • added test cases to verify new functionality

Diff Detail

Repository
rL LLVM

Event Timeline

tra updated this revision to Diff 35738.Sep 25 2015, 10:53 AM
tra retitled this revision from to [CUDA] Driver changes to pass flags needed to use detected CUDA installation..
tra updated this object.
tra added a reviewer: echristo.
tra added a subscriber: cfe-commits.
tra updated this revision to Diff 38576.EditedOct 27 2015, 11:35 AM

Updated to reflect latest changes in D13144

jingyue added a subscriber: jingyue.Nov 6 2015, 8:58 AM
tra updated this revision to Diff 39860.Nov 10 2015, 3:48 PM
tra updated this object.

Moved libdevice detection and linking into a separate patch D14556.

echristo accepted this revision.Nov 12 2015, 2:17 PM
echristo edited edge metadata.

This needs a very long commit message describing exactly what's going on and why since it's not documented anywhere. Possibly in the code as well at AddPreprocessingOptions and other places you add AuxToolChain. Some of this is going to need to get refactored in the medium term when we look at being able to preprocess and add multiple target argument passing, but this is an ok intermediate step.

Thanks!

-eric

This revision is now accepted and ready to land.Nov 12 2015, 2:17 PM
This revision was automatically updated to reflect the committed changes.